package com.steerinfo.ems.tcm0318.mapper;

import com.steerinfo.ems.tcm0318.model.TCm0318;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TCm0318Mapper extends IBaseMapper<TCm0318, String> {
    List<TCm0318> dataQuery(Map<String, Object> parameters);
    void deleteprevious(Map<String, Object> parameters);
    String checkmaxdate(String planid);
    List<TCm0318> qualityassessment(Map<String, Object> parameters);

    /**
     * 水质历史数据对比分析查询
     * @param parameters
     * @return
     */
    List<Map<String, Object>> datacomparison(Map<String, Object> parameters);
    List<TCm0318> getByCode(Map<String, Object> parameters);
    //获取炼钢数据
    List<TCm0318> getDataAsLg(@Param("date") String date);
    //获取冶炼厂数据
    List<TCm0318> getDataAsYlc(@Param("date") String date);
    //获取一高线数据
    List<TCm0318> getDataAsYgx(@Param("date") String date);
    //获取二高线数据
    List<TCm0318> getDataAsEgx(@Param("date") String date);
    //获取发电厂数据
    List<TCm0318> getDataAsFdc(@Param("date") String date);
    //获取机焦厂数据
    List<TCm0318> getDataAsJjc(@Param("date") String date);
    //获取污水车间数据
    List<TCm0318> getDataAsWscj(@Param("date") String date);
    //获取相对的数据
    TCm0318 selectByparams(TCm0318 tCm0318);
    //修改
    int updateByparams(TCm0318 tCm0318);

}